%
% Control File for MaxAll.
%
%       Lines starting with % sign are ignored, along with blank lines.
%       Spaces, Tabs, Newlines are all considered white space between tokens.
%
%       Do not comment the tokens out!
%
%
% BBSName       Title of your BBS. (Notice the underscore used for a space!)

BBSName         White_Lightning

% CallOptions   This line defines the today/yesterday's callers reports.
%               Options can be listed in any order, and each option uses at
%               least 1 space plus the width specified. If the line is greater
%               than 72 characters then it will be truncated and remaining
%               options ignored.
%
%               Option:         Width:  Description:
%
%               No:<n>          n+1     Call number of user. Call number is
%                                       ordered by the time the user called.
%                                       Recommened width = 2. If you have a
%                                       multiline system which can take more
%                                       than 100 calls a day, then width should
%                                       equal 3.
%
%               Name:<n>        n+1     Caller's name. Recommended width = 22,
%                                       unless you want to fit more options on
%                                       the report.
%
%               Line:<n>        n+1     The line (node) number the caller was
%                                       on. Recommended width = 2.
%
%               Baud:<n>        n+1     Baud rate of caller. Recommened width
%                                       = 4 or 5. (If 4, then high speeds shown
%                                       in K otherwise shown in bytes/second,
%                                       example: 14.4 or 14400)
%
%               Time            6       Time the caller called. Note that in
%                                       a multiline system, the callers report
%                                       will be sorted by time of call for
%                                       consistancy.
%
%               OnFor           6       The amount of time (minutes) caller was
%                                       on for. This figure is shown in hr:min
%                                       format.
%
%               Calls:<n>       n+1     Number of previous calls this caller
%                                       has made to the system.
%
%               Dnls:<n>        n+1     The total number of Kb's downloaded
%                                       during the callers session.
%
%               Priv:<n>        n+1     The priviliage level of the caller.
%
%               City:<n>        n+1     The callers location (city).

CallOptions     No:2 Name:17 Line:2 Baud:4 Time OnFor Calls:4 Dnls:4 Priv:6 City:14

% UseAlias      This is either Yes or No depending on if you wish Aliases to
%               be displayed on the reports. If a user doesn't have an alias
%               defined (blank) then their real name will be used.

UseAlias        No

%               Next two tokens aren't implemented yet.
%
% HoursLastCalls  24
% TimeOut         180
%
% Lines         This is the number of nodes your system is running if a multi-
%               line system. This does NOT include any local nodes. This
%               affects the usage reports and thus are total usage for the
%               whole system. Ie. If the system runs 5 nodes/lines, then Lines
%               must equal 5 as MaxAll collects usage information from all 5
%               lines and generates one report (so they reflect the usage for
%               the entire BBS)

Lines           2

% UsageLines    This is the total number of lines (on screen) that the usage
%               graphs will take up. 15 is the default so as to fit the graph
%               on one page of 80x25.

UsageLines      15

%               More tokens not in use. Haven't got round to putting them in
%               Does anyone want them?
%
% UsageTitle1     Weekly_Usage/Hour
% UsageTitle2     Monthly_Usage/Hour
% UsageTitle3     Quarterly_Usage/Hour
% UsageDays1      7
% UsageDays2      30
% UsageDays3      90
%
% Privil levels The following lists each privilage level and the label which
%               will be used in the today's callers option 'Privil'. Note that
%               if the label is longer than the width of option 'Privil' then
%               it will be truncated. (Note that in the example 'CallOptions'
%               I use a width of 6 for this column thus all these labels are
%               6 characters or less in width.)

Local           Locl
Twit            !Twit!
A1              ?
Disgrace        Disgrc
Limited         Limitd
Normal          Normal
Worthy          Vt.Sys
Privil          Reg.
Favored         Reg.
Extra           VIP
Clerk           Clerk
AsstSysOp       As.Sys
A2              ?
SysOp           SysOp
Hidden          Hidden

% The following tokens list the colours to be used on the reports. Colours
% must be in the format:        <foreground> [on <background>] ["blink"]
%
% Where <forground> & <background> are one of the following colours:
%
%       black  blue  green  cyan  red  magenta  brown  lgrey
%
%       grey  lblue  lgreen  lcyan  lred  lmagenta  yellow  white
%
% and, [on <background>] is optional.
%
% and, ["blink"] following the colour is also optional.
%
% See below for examples:

RepBBS                          white on cyan
RepTitle                        yellow on cyan blink
RepSubTitle                     lgreen on cyan
RepNo                           grey on cyan
RepName                         black on cyan
RepData                         black on cyan
RepDots                         lgrey on cyan
RepBorder                       blue on cyan
RepShadow                       blue

UsageBBS                        white on cyan
UsageTitle                      yellow on cyan blink
UsageSubTitle                   lgreen on cyan
UsageBorder                     blue on cyan
UsageShadow                     blue
UsageAxis                       blue on cyan
UsageEvenBars                   blue on cyan
UsageOddBars                    lblue on cyan
UsageAvgInd                     white on cyan
UsageLabSides                   black on cyan
UsageLabBottom                  black on cyan

% These are colour settings for the Today/Yesterday's Callers reports

CallBBS                         white on cyan
CallTitle                       yellow on cyan blink
CallSubTitle                    lgreen on cyan
CallBorder                      blue on cyan
CallShadow                      blue
% CallTotals                      white on cyan

% Special highlight for new users. If you do not wish to highlight new users
% then use the same colour here as you do for token 'CallName' below.

CallNewuser                     white on cyan

% Tokens here include a title string before the colour. The titles here are
% used for the title of each column in the Today/Yesterday's Callers reports.
% These titles should not be longer than the width used in the CallOptions,
% otherwise they will be truncated. Colours used here are used for the columns
% of data. Note the underscore used in front of each title, this is because
% each column is seperated by a space so the underscore spaces the title to
% line up with the column of info. This allows titles to be joined together,
% but you have to know what your doing to get that right.

CallNo          __#              black on cyan
CallName        _Caller's_Name   black on cyan
CallCity        _Caller's_City   black on cyan
CallLine        _N#              black on cyan
CallBaud        _Baud            black on cyan
CallTime        _Called          black on cyan
CallOnFor       _OnFor           black on cyan
CallCalls       _Call            black on cyan
CallPrivil      _Access          black on cyan
CallDnls        _KbDl            black on cyan

% More tokens not in use, wonder if Scott will put these kind of stats in the
% user file? (Just suggesting)

% CallUpls        KbUl            black on cyan
% CallWrote       Posted          black on cyan
% CallNoDls       #_Dnls          black on cyan
% CallNoUls       #_Upls          black on cyan
% CallLeechs      Leechs          black on cyan
% CallDrops       Droped          black on cyan
